Package fr.gouv.vitam.worker.core.plugin.preservation.model

# Class ParametersPreservation

java.lang.Object
fr.gouv.vitam.worker.core.plugin.preservation.model.ParametersPreservation

public class ParametersPreservation extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParametersPreservation()`
  `ParametersPreservation(String requestId, String batchId, List<InputPreservation> input, List<ActionPreservation> actions, boolean debug)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ActionPreservation>`
  `getActions()`
  `String`
  `getId()`
  `List<InputPreservation>`
  `getInputs()`
  `String`
  `getRequestId()`
  `boolean`
  `isDebug()`
  `void`
  `setActions(List<ActionPreservation> actions)`
  `void`
  `setDebug(boolean debug)`
  `void`
  `setId(String id)`
  `void`
  `setInputs(List<InputPreservation> inputs)`
  `void`
  `setRequestId(String requestId)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ParametersPreservation

    public ParametersPreservation()

  - ### ParametersPreservation

    public ParametersPreservation(String requestId, String batchId, List<InputPreservation> input, List<ActionPreservation> actions, boolean debug)

- ## Method Details

  - ### getRequestId

    public String getRequestId()

  - ### setRequestId

    public void setRequestId(String requestId)

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getActions

    public List<ActionPreservation> getActions()

  - ### setActions

    public void setActions(List<ActionPreservation> actions)

  - ### getInputs

    public List<InputPreservation> getInputs()

  - ### setInputs

    public void setInputs(List<InputPreservation> inputs)

  - ### isDebug

    public boolean isDebug()

  - ### setDebug

    public void setDebug(boolean debug)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`